Debian Bug report logs - #510500
liballegro4.2: FTBFS with binutils 1.9

version graph

Package: liballegro4.2; Maintainer for liballegro4.2 is Debian allegro packages maintainers <pkg-allegro-maintainers@lists.alioth.debian.org>;

Reported by: "Wei Mingzhi" <whistler@openoffice.org>

Date: Fri, 2 Jan 2009 16:06:04 UTC

Severity: serious

Tags: patch, sid, squeeze

Fixed in version allegro4.2/2:4.2.2-2.1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#510500; Package liballegro4a. (Fri, 02 Jan 2009 16:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Wei Mingzhi" <whistler@openoffice.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Fri, 02 Jan 2009 16:06:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Wei Mingzhi" <whistler@openoffice.org>
To: submit@bugs.debian.org
Subject: liballegro4.2: FTBFS with binutils 1.9
Date: Sat, 3 Jan 2009 00:04:49 +0800
Package: liballegro4a
Version: 2:4.2.2-2
Severity: serious

When using the binutils 1.9 (which is available in experimental) to
build the sources, there is an error like this which prevented the
sources from being built:

gcc -DALLEGRO_MODULES_PATH=\"/usr/lib/allegro\" -DHAVE_CONFIG_H -I.
-Iinclude -Iinclude/allegro -I./include -I./include/allegro
-I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include    -DALLEGRO_LIB_BUILD  -mtune=pentium -O2
-funroll-loops -ffast-math -fomit-frame-pointer -Wall -Wno-unused  -x
assembler-with-cpp -fPIC -DALLEGRO_SHARED -c ./src/i386/icpus.s -o
obj/unix/alleg/icpus.o
./src/i386/icpus.s: Assembler messages:
./src/i386/icpus.s:70: Error: suffix or operands invalid for `fnstsw'
make[1]: *** [obj/unix/alleg/icpus.o] Error 1
make[1]: Leaving directory `/home/whistler/bbb/allegro4.2-4.2.2'
make: *** [build-stamp] Error 2

A quick google search shows that the new version of binutils no longer
allow "fnstsw %eax". However I kinda suck at ASM so I don't know how
to fix this correctly (sorry!).
http://sourceware.org/ml/libc-alpha/2008-01/msg00017.html

Regards,
Wei Mingzhi




Bug reassigned from package `liballegro4a' to `liballegro4.2'. Request was from "Wei Mingzhi" <whistler@openoffice.org> to control@bugs.debian.org. (Fri, 02 Jan 2009 17:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian allegro packages maintainers <pkg-allegro-maintainers@lists.alioth.debian.org>:
Bug#510500; Package liballegro4.2. (Fri, 02 Jan 2009 23:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian allegro packages maintainers <pkg-allegro-maintainers@lists.alioth.debian.org>. (Fri, 02 Jan 2009 23:27:04 GMT) Full text and rfc822 format available.

Message #12 received at 510500@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 510500@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Builds fine in unstable and Lenny
Date: Fri, 2 Jan 2009 23:23:11 +0000
[Message part 1 (text/plain, inline)]
package allegro4.2
severity 510500 important
thanks

I've tested the package build with a clean unstable chroot and a clean
Lenny chroot and the build does not occur with the current toolchain in
unstable.

Need to raise severity once that version of the toolchain goes into
unstable.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Severity set to `important' from `serious' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 02 Jan 2009 23:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian allegro packages maintainers <pkg-allegro-maintainers@lists.alioth.debian.org>:
Bug#510500; Package liballegro4.2. (Sat, 03 Jan 2009 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian allegro packages maintainers <pkg-allegro-maintainers@lists.alioth.debian.org>. (Sat, 03 Jan 2009 17:36:03 GMT) Full text and rfc822 format available.

Message #19 received at 510500@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Neil Williams <codehelp@debian.org>, 510500@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#510500: Builds fine in unstable and Lenny
Date: Sat, 3 Jan 2009 18:31:18 +0100
[Message part 1 (text/plain, inline)]
sverity 510500 serious
tag 510500 experimental
thanks

Neil Williams <codehelp@debian.org> (02/01/2009):
> I've tested the package build with a clean unstable chroot and a clean
> Lenny chroot and the build does not occur with the current toolchain
> in unstable.

That's still an FTBFS bug, in experimental. So let's tag it as such.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Tags added: experimental Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 03 Jan 2009 17:36:04 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 03 Jan 2009 17:51:04 GMT) Full text and rfc822 format available.

Tags removed: experimental Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 17 Jul 2009 07:33:06 GMT) Full text and rfc822 format available.

Tags removed: experimental Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 17 Jul 2009 07:33:10 GMT) Full text and rfc822 format available.

Tags added: patch, pending Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Fri, 17 Jul 2009 19:36:05 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sat, 18 Jul 2009 19:54:05 GMT) Full text and rfc822 format available.

Notification sent to "Wei Mingzhi" <whistler@openoffice.org>:
Bug acknowledged by developer. (Sat, 18 Jul 2009 19:54:05 GMT) Full text and rfc822 format available.

Message #34 received at 510500-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 510500-close@bugs.debian.org
Subject: Bug#510500: fixed in allegro4.2 2:4.2.2-2.1
Date: Sat, 18 Jul 2009 19:47:09 +0000
Source: allegro4.2
Source-Version: 2:4.2.2-2.1

We believe that the bug you reported is fixed in the latest version of
allegro4.2, which is due to be installed in the Debian FTP archive:

allegro-demo_4.2.2-2.1_amd64.deb
  to pool/main/a/allegro4.2/allegro-demo_4.2.2-2.1_amd64.deb
allegro-examples_4.2.2-2.1_amd64.deb
  to pool/main/a/allegro4.2/allegro-examples_4.2.2-2.1_amd64.deb
allegro4.2_4.2.2-2.1.diff.gz
  to pool/main/a/allegro4.2/allegro4.2_4.2.2-2.1.diff.gz
allegro4.2_4.2.2-2.1.dsc
  to pool/main/a/allegro4.2/allegro4.2_4.2.2-2.1.dsc
liballegro-doc_4.2.2-2.1_all.deb
  to pool/main/a/allegro4.2/liballegro-doc_4.2.2-2.1_all.deb
liballegro4.2-dev_4.2.2-2.1_amd64.deb
  to pool/main/a/allegro4.2/liballegro4.2-dev_4.2.2-2.1_amd64.deb
liballegro4.2-plugin-arts_4.2.2-2.1_amd64.deb
  to pool/main/a/allegro4.2/liballegro4.2-plugin-arts_4.2.2-2.1_amd64.deb
liballegro4.2-plugin-esd_4.2.2-2.1_amd64.deb
  to pool/main/a/allegro4.2/liballegro4.2-plugin-esd_4.2.2-2.1_amd64.deb
liballegro4.2-plugin-jack_4.2.2-2.1_amd64.deb
  to pool/main/a/allegro4.2/liballegro4.2-plugin-jack_4.2.2-2.1_amd64.deb
liballegro4.2_4.2.2-2.1_amd64.deb
  to pool/main/a/allegro4.2/liballegro4.2_4.2.2-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510500@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated allegro4.2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Jul 2009 20:36:38 +0200
Source: allegro4.2
Binary: liballegro4.2 liballegro4.2-dev liballegro4.2-plugin-jack liballegro4.2-plugin-esd liballegro4.2-plugin-arts liballegro4.2-plugin-svgalib allegro-demo allegro-examples liballegro-doc
Architecture: source all amd64
Version: 2:4.2.2-2.1
Distribution: unstable
Urgency: medium
Maintainer: Debian allegro packages maintainers <pkg-allegro-maintainers@lists.alioth.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 allegro-demo - cool game, demonstrating power of the Allegro library
 allegro-examples - example programs and demo tools for the Allegro library
 liballegro-doc - documentation for the Allegro library
 liballegro4.2 - portable library for cross-platform game and multimedia developme
 liballegro4.2-dev - development files for the Allegro library
 liballegro4.2-plugin-arts - aRts audio plugin for the Allegro library
 liballegro4.2-plugin-esd - esd audio plugin for the Allegro library
 liballegro4.2-plugin-jack - JACK audio plugin for the Allegro library
 liballegro4.2-plugin-svgalib - SVGAlib video plugin for the Allegro library
Closes: 510500 518732
Changes: 
 allegro4.2 (2:4.2.2-2.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
 .
   * debian/patches/06_fix_fnstsw.diff:
     + Fix FTBFS with binutils >= 1.9. Quoting the patch submitter:
       “FNSTSW is "Store FPU Status Word". This status word is a 16-bit
       value so the destination register should be %ax, not %eax.”
       Thanks to Peter De Wachter (Closes: #510500, #518732).
 .
   * Set urgency to “medium”, testing is also affected.
Checksums-Sha1: 
 15ffb9f2e5eb4de1f064419ae93622345e5b13d0 1526 allegro4.2_4.2.2-2.1.dsc
 832a4e304a204cb0435f5e08a3300b6c9fbbd00d 27773 allegro4.2_4.2.2-2.1.diff.gz
 0f0c8b7e30eb05d674720fb7190b49929d326f6c 1590930 liballegro-doc_4.2.2-2.1_all.deb
 4aa2c17d2feb2b3e62f2a5f20fd5186d92589fe0 634474 liballegro4.2_4.2.2-2.1_amd64.deb
 c727664d8c68295c54d46b0859d925159f5da51d 1024372 liballegro4.2-dev_4.2.2-2.1_amd64.deb
 6895f66ae44067384bb54342135b7f04b682840f 6196 liballegro4.2-plugin-jack_4.2.2-2.1_amd64.deb
 c5c5ad56786ba4a51dd8691cba601b513651b354 5098 liballegro4.2-plugin-esd_4.2.2-2.1_amd64.deb
 86b16b67f64647dcfcfc7253ce8408d91f462b39 4804 liballegro4.2-plugin-arts_4.2.2-2.1_amd64.deb
 39d663dd344949f706c5ea14406cdc8faa20271e 129900 allegro-demo_4.2.2-2.1_amd64.deb
 8ce0ff1116d81dc0f4e935f447cd49a64c0f04c4 395944 allegro-examples_4.2.2-2.1_amd64.deb
Checksums-Sha256: 
 cc2452807b8047d67f606db75da67595132d5e17c11ea86ebd41b30b2b6ac35d 1526 allegro4.2_4.2.2-2.1.dsc
 2a7dedc76ad5a8eb98ad1ee1412ff609f990d4238d101d30a24ca52b56784af1 27773 allegro4.2_4.2.2-2.1.diff.gz
 a65b5d196ea923b8d55b8e75582cac3be03b82be6015cad726c9330fff3c982e 1590930 liballegro-doc_4.2.2-2.1_all.deb
 f36e08feaf596d1b91de02e534a472f409749df37ac39cabede06df58cddf88c 634474 liballegro4.2_4.2.2-2.1_amd64.deb
 69c057762595ef0cb81edfea18679fb79a22ed771d3ca75982729216c53b4a5a 1024372 liballegro4.2-dev_4.2.2-2.1_amd64.deb
 1c8d652d7618e853fec6869f3c8da02652700d0ae5e119dcbdb77caa26e6236d 6196 liballegro4.2-plugin-jack_4.2.2-2.1_amd64.deb
 c0ad3dbcb24593b6e2ee602f9e4d0c19c8afa59cadd5761138bb28746e60ba8f 5098 liballegro4.2-plugin-esd_4.2.2-2.1_amd64.deb
 e9ecfb92c6865b29ebf3ed1c6a8c253accdd51eb4966110ca6646c8559db5739 4804 liballegro4.2-plugin-arts_4.2.2-2.1_amd64.deb
 9b77588de1485bb62a8bb77a7f017cd2f5149288888f7544073ee37e2be8c26f 129900 allegro-demo_4.2.2-2.1_amd64.deb
 d225725d2672e99073a9e9e2ab788e96c0a6a885f3c6a6861441b5c7ebba6933 395944 allegro-examples_4.2.2-2.1_amd64.deb
Files: 
 8815259e4156d1d5048f3ac3746e5d81 1526 devel optional allegro4.2_4.2.2-2.1.dsc
 0b7e785e336f4e0e41fa2cf844279f48 27773 devel optional allegro4.2_4.2.2-2.1.diff.gz
 1b1e9d28a2892c1c75d884a08b17d691 1590930 doc optional liballegro-doc_4.2.2-2.1_all.deb
 e23bcc06fe5feef3105d4107fc6a0d5f 634474 libs optional liballegro4.2_4.2.2-2.1_amd64.deb
 aa75e65a63bfdc616fdde46c742c6561 1024372 libdevel optional liballegro4.2-dev_4.2.2-2.1_amd64.deb
 4be102643ca1799f8c46770c34df39b1 6196 libs optional liballegro4.2-plugin-jack_4.2.2-2.1_amd64.deb
 1ae43b26ac2452511edf171c6b540ee0 5098 libs optional liballegro4.2-plugin-esd_4.2.2-2.1_amd64.deb
 932ac02ea9a2c42d56deb44741227f62 4804 libs optional liballegro4.2-plugin-arts_4.2.2-2.1_amd64.deb
 5ce1433b7572a041d78deca69f3ef633 129900 games optional allegro-demo_4.2.2-2.1_amd64.deb
 2498945e95f56d3508eb36d9974b686e 395944 utils optional allegro-examples_4.2.2-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpg0AoACgkQeGfVPHR5Nd2KCgCgvm9CY+diqU+cAIioNSM8xkJf
eAgAnjZvtAtmHH2f/Fo/CRltBxa22BVn
=4Ly2
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Sun, 29 Nov 2009 19:33:35 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 07:31:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 17:55:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.